"use strict";

const matrix = require('komodo-sdk/matrix');
const logger = require('komodo-sdk/logger');

const coreApiRequest = require('./request');
require('./core-version');


function _coreApiRequest(...args) {
    if (!matrix.core_version_is_sufficient) {
        logger.info('Blocking request to CORE because of insufficient CORE version');
        return;
    }
    coreApiRequest(...args);
}

module.exports = _coreApiRequest;